function ssc_files_cr, time0, time1, cr=cr, ssccr_dir=ssccr_dir, $
      fits=fits, sda=sda 
crenv=get_logenv('DIR_SXT_SSCCR')
case 1 of 
   data_chk(ssccr_dir,/string): crdir=ssccr_dir(0)
   crenv(0) ne '': crdir=crenv
   else: crdir='/u1/sswarch/yoarch/crb/crb_4hr_cadence/'
endcase

if n_params() eq 0 then time0=reltime()   
if n_params() eq 1 then time1=time0

if n_elements(cr) eq 0 then begin 
   cr0=tim2carr(anytim(time0,/yohkoh),/dc)
   cr1=tim2carr(anytim(time1,/yohkoh),/dc)
   fcr0=(fix(cr0))(0)
   fcr1=(fix(cr1))(0)

   if fcr0 ne fcr1 then begin
      ucrs=indgen(fcr1-fcr0)+fcr0
   endif else ucrs=fcr0
endif else ucrs=cr

ucrs=strtrim(ucrs(uniq(ucrs)),2)

dirlist=concat_dir(crdir,ucrs)

case 1 of 
   keyword_set(fits): files=file_list(concat_dir(dirlist,'fits'),'*.fits')
   else: files=file_list(dirlist,'ssc*')
endcase

if n_params() gt 0 then files=sel_filetimes(time0,time1,files)

return,files
end
    
